<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-milter-version">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-milter-version.top_of_page">milter-version</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>milter-version</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-milter-version.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-TOOLKIT-VERSION:CAPS">MILTER_TOOLKIT_VERSION</link>
#define             <link linkend="MILTER-TOOLKIT-VERSION-MAJOR:CAPS">MILTER_TOOLKIT_VERSION_MAJOR</link>
#define             <link linkend="MILTER-TOOLKIT-VERSION-MICRO:CAPS">MILTER_TOOLKIT_VERSION_MICRO</link>
#define             <link linkend="MILTER-TOOLKIT-VERSION-MINOR:CAPS">MILTER_TOOLKIT_VERSION_MINOR</link>
#define             <link linkend="MILTER-TOOLKIT-CHECK-VERSION:CAPS">MILTER_TOOLKIT_CHECK_VERSION</link>        (major, minor, micro)
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-milter-version.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-milter-version.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-TOOLKIT-VERSION:CAPS" role="macro">
<title>MILTER_TOOLKIT_VERSION</title>
<indexterm zone="MILTER-TOOLKIT-VERSION:CAPS"><primary>MILTER_TOOLKIT_VERSION</primary></indexterm>
<programlisting>#define MILTER_TOOLKIT_VERSION G_STRINGIFY(@MILTER_TOOLKIT_VERSION@)
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-TOOLKIT-VERSION-MAJOR:CAPS" role="macro">
<title>MILTER_TOOLKIT_VERSION_MAJOR</title>
<indexterm zone="MILTER-TOOLKIT-VERSION-MAJOR:CAPS"><primary>MILTER_TOOLKIT_VERSION_MAJOR</primary></indexterm>
<programlisting>#define MILTER_TOOLKIT_VERSION_MAJOR @MILTER_TOOLKIT_VERSION_MAJOR@
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-TOOLKIT-VERSION-MICRO:CAPS" role="macro">
<title>MILTER_TOOLKIT_VERSION_MICRO</title>
<indexterm zone="MILTER-TOOLKIT-VERSION-MICRO:CAPS"><primary>MILTER_TOOLKIT_VERSION_MICRO</primary></indexterm>
<programlisting>#define MILTER_TOOLKIT_VERSION_MICRO @MILTER_TOOLKIT_VERSION_MICRO@
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-TOOLKIT-VERSION-MINOR:CAPS" role="macro">
<title>MILTER_TOOLKIT_VERSION_MINOR</title>
<indexterm zone="MILTER-TOOLKIT-VERSION-MINOR:CAPS"><primary>MILTER_TOOLKIT_VERSION_MINOR</primary></indexterm>
<programlisting>#define MILTER_TOOLKIT_VERSION_MINOR @MILTER_TOOLKIT_VERSION_MINOR@
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MILTER-TOOLKIT-CHECK-VERSION:CAPS" role="macro">
<title>MILTER_TOOLKIT_CHECK_VERSION()</title>
<indexterm zone="MILTER-TOOLKIT-CHECK-VERSION:CAPS"><primary>MILTER_TOOLKIT_CHECK_VERSION</primary></indexterm>
<programlisting>#define             MILTER_TOOLKIT_CHECK_VERSION(major, minor, micro)</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>major</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>minor</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>micro</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
